You are not logged in.

#1 2012-04-22 18:08:31

dengulebaron
Member
Registered: 2012-03-26
Posts: 8

Yaourt fails "error: failed to prepare transaction (unexpected error)"

Today, I am trying to do a full system upgrade using yaourt, but I get this strange message:

[christian@pb-tj72 ~]$ yaourt -Syua
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
error: failed to prepare transaction (unexpected error)
:: Starting full system upgrade...

It makes me wonder that it first reports the error and then executes the full system upgrade.

I hope that this is a well-known problem or that somebody can help me with instructions regarding how to increase verbosity or which log files to look at.

Otherwise, will the yaourt-alternatives work with the AUR packages that I've already installed with yaourt?

BR,
Christian

Offline

#2 2012-04-22 19:18:01

SS4
Member
From: !Rochford, Essex
Registered: 2010-12-05
Posts: 699

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

I'm not sure, do you have any other repos synced with pacman that could be the problem or it could be issues accessing the AUR. Since AUR helpers are basically a frontend to makepkg other helpers will work just fine.

I'm not running arch at the moment (chakra) but I'd imagine yaourt has a -v switch for verbose


Rauchen verboten

Offline

#3 2012-04-23 09:10:28

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 198

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

Please find if you have some packages installed with "unsatisfied" dependences (eg. pulseaudio but no rtkit or libreoffice but no orbit2). To see more please do first pacman -Syu - should tell you more.


Lenovo G50 | LXQT-git | compton | conky

Offline

#4 2012-04-23 16:24:16

dengulebaron
Member
Registered: 2012-03-26
Posts: 8

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

SS4 wrote:

I'd imagine yaourt has a -v switch for verbose

I tried yaourt -Syuv (didn't work together with the '-a' switch). First I got error: you cannot perform this operation unless you are root., but when running as sudo, it works. This makes me wonder whether the -v switch is undocumented or if it invokes pacman instead.

pstree -a shows me that in fact, yaourt -Syuv launches pacman -Syuv

nbvcxz wrote:

Please find if you have some packages installed with "unsatisfied" dependences (eg. pulseaudio but no rtkit or libreoffice but no orbit2). To see more please do first pacman -Syu - should tell you more.

pacman -Syu tells me that I do have unresolved dependencies since my kernel is frozen until a certain bug is resolved:

warning: linux: ignoring package upgrade (3.2.14-1 => 3.3.2-1)
resolving dependencies...
warning: ignoring package linux-3.3.2-1
warning: cannot resolve "linux>=3.3", a dependency of "virtualbox-modules"
warning: ignoring package linux-3.3.2-1
warning: cannot resolve "linux>=3.3", a dependency of "virtualbox-modules"

But shouldn't yaourt handle this in the same way that pacman would?

My conclusion so far is that yaourt doesn't work with unresolved dependencies. So I will try another tool.

Offline

#5 2012-04-23 16:36:54

headkase
Member
From: Canada
Registered: 2011-12-06
Posts: 1,601
Website

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

dengulebaron wrote:

My conclusion so far is that yaourt doesn't work with unresolved dependencies. So I will try another tool.

I use and totally recommend: Cower.

The problem with yaourt is that it treats AUR like another repository.  I was pointed to Cower in this: thread (post #3 is where I asked).  One of Arch's developers in post #2 has a few choice words regarding yaourt and that has stuck with me.

In my .bashrc I have

alias cower='cower -v'

as I like verbose output and then I use that alias as

cower -u

to see what is new and

cower -d <package>

to get something new, change into that folder,

makepkg and pacman -U <package>

, and done.


We all make choices, but in the end, our choices make us.

Offline

#6 2012-04-23 16:38:32

dodo3773
Member
Registered: 2011-03-17
Posts: 801

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

Try just using yaourt for the aur "yaourt -Su --aur" and using pacman for your local repos. It looks like your problem is that you are going to have to hold more back then your kernel though because of the dependencies:

warning: cannot resolve "linux>=3.3", a dependency of "virtualbox-modules"

Offline

#7 2012-04-23 17:26:26

dengulebaron
Member
Registered: 2012-03-26
Posts: 8

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

dodo3773 wrote:

Try just using yaourt for the aur "yaourt -Su --aur" and using pacman for your local repos. It looks like your problem is that you are going to have to hold more back then your kernel though because of the dependencies:

warning: cannot resolve "linux>=3.3", a dependency of "virtualbox-modules"

Gives me this:

error: failed to prepare transaction (could not satisfy dependencies)
:: Starting full system upgrade...
:: virtualbox-modules: requires linux>=3.3
:: virtualbox-modules: requires linux>=3.3

Seems like the --aur switch doesn't skip the non-aur packages and fails because of them.

Offline

#8 2012-04-23 17:43:58

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 198

Re: Yaourt fails "error: failed to prepare transaction (unexpected error)"

Ok - there is another "dirty" solution to let yaourt upgrade your system. When you know that virtualbox-modules has not satisfied dependences (wrong linux version this time) you can do as following:

yaourt -Sdd virtualbox-modules

It allows to upgrade full system, but virtualbox-modules is for wrong kernel version so probably virtualbox will refuse to work ;-)

On the other hand you can force to install linux-3.3.2-1 and then yaourt -Sua which should solve the problem.


Lenovo G50 | LXQT-git | compton | conky

Offline

Board footer

Powered by FluxBB